function varargout=plotVerticesNumber(q,varargin)
  p = inputParser; 
  p.KeepUnmatched=true; 
 % p.PartialMatching=false;
  p.addParamValue('toGlobal',[]); 
  p.addParamValue('BackgroundColor','w');
  p.addParamValue('Color','k');
  p.addParamValue('EdgeColor','b');
  p.addParamValue('margin',1);
  p.addParamValue('FontSize',5);
  p.addParamValue('HorizontalAlignment','center');
  p.addParamValue('VerticalAlignment','middle');
  p.addParamValue('clipping','on');
  p.parse(varargin{:});
  R=p.Results;
  varargin={'BackgroundColor',R.BackgroundColor, ...
            'Color',R.Color, ...
            'EdgeColor',R.EdgeColor, ...
                        'margin',R.margin, 'FontSize',R.FontSize, ...
                        'HorizontalAlignment',R.HorizontalAlignment, ...
                        'VerticalAlignment',R.VerticalAlignment, ...
                        'clipping',R.clipping};
  [dim,nq]=size(q);
  iq=1:nq;
  if ~isempty(R.toGlobal), strNum=num2str(toGlobal); else  strNum=num2str(iq');end
  switch dim
    case 2
      h=text(q(1,iq),q(2,iq),strNum,varargin{:});
    case 3
      h=text(q(1,iq),q(2,iq),q(3,iq),strNum, varargin{:});
    otherwise
      warning('Unable to plot in space dimension %d',dim);h=[]; 
  end
  if nargout==1, varargout{1}=h;end
end
