function varargout=plotElementsNumber(q,me,varargin)
  dim=size(q,1);nme=size(me,2);
  p = inputParser; 
  p.addParamValue('HorizontalAlignment','center');
  p.addParamValue('VerticalAlignment','middle');
  p.addParamValue('FontSize',5);
  p.addParamValue('Color','b');
  p.addParamValue('clipping','on');
  p.parse(varargin{:});
  R=p.Results;
  varargin={'HorizontalAlignment',R.HorizontalAlignment, ...
            'VerticalAlignment',R.VerticalAlignment, ...
            'Color',R.Color, ...
            'clipping',R.clipping, 'FontSize',R.FontSize};
  
  Ba=barycenters(q,me);
  strNum=num2str([1:nme]');
  switch dim
    case 2
      h=text(Ba(1,:),Ba(2,:),strNum,varargin{:});
    case 3
      h=text(Ba(1,:),Ba(2,:),Ba(3,:),strNum, varargin{:});
    otherwise
      warning('Unable to plot in space dimension %d',dim);h=[];  
  end
  if nargout==1, varargout{1}=h;end
end
